summaryrefslogtreecommitdiff
path: root/debian/tests
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control8
-rwxr-xr-xdebian/tests/pypy7
-rwxr-xr-xdebian/tests/python213
-rwxr-xr-xdebian/tests/python313
4 files changed, 41 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..7d9017f
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,8 @@
+Tests: python2
+Depends: python-all, python-all-dbg, python-zmq, python-zmq-dbg, python-nose, python-numpy-dbg, python-numpy, python-tornado, python-gevent, python-gevent-dbg
+
+Tests: python3
+Depends: python3-all, python3-all-dbg, python3-zmq, python3-zmq-dbg, python3-nose, python3-numpy, python3-numpy-dbg, python3-tornado
+
+Tests: pypy
+Depends: pypy, pypy-zmq
diff --git a/debian/tests/pypy b/debian/tests/pypy
new file mode 100755
index 0000000..78d7096
--- /dev/null
+++ b/debian/tests/pypy
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -efu
+
+cd "$ADTTMP"
+
+echo "=== pypy ==="
+pypy -m unittest discover -v -s $(pypy -c "import zmq, os; print os.path.dirname(zmq.__file__)") 2>&1
diff --git a/debian/tests/python2 b/debian/tests/python2
new file mode 100755
index 0000000..925268d
--- /dev/null
+++ b/debian/tests/python2
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -efu
+
+pys="$(pyversions -r 2>/dev/null)"
+
+cd "$ADTTMP"
+
+for py in $pys; do
+ echo "=== $py ==="
+ $py /usr/bin/nosetests -v zmq.tests 2>&1
+ echo "=== $py-dbg ==="
+ $py-dbg /usr/bin/nosetests -v zmq.tests 2>&1
+done
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100755
index 0000000..8f6b039
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -efu
+
+pys="$(py3versions -r 2>/dev/null)"
+
+cd "$ADTTMP"
+
+for py in $pys; do
+ echo "=== $py ==="
+ $py /usr/bin/nosetests3 -v zmq.tests 2>&1
+ echo "=== $py-dbg ==="
+ $py-dbg /usr/bin/nosetests3 -v zmq.tests 2>&1
+done